Skip to main content
GET
/
v1
/
disputes
List
curl --request GET \
  --url https://{defaultHost}/v1/disputes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/disputes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/disputes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/disputes"
  },
  "data": [
    {
      "id": "c7c76944-3f3c-485f-9c94-8077521ffc20",
      "object": "dispute",
      "amount": 2900,
      "currency": "usd",
      "external_dispute_id": "dp_jo91mvw72ic10375xuft8ntl",
      "live_mode": true,
      "processor_type": "stripe",
      "status": "pending",
      "charge": "fab0d978-f9c7-419b-a5d6-5ede0d08e002",
      "created_at": 1782485824,
      "updated_at": 1782485824
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

charge_ids[]
string[]

Only return objects with the given charge IDs.

customer_ids[]
string[]

Only return objects that belong to the given customers.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

live_mode
boolean

Only return objects that are live mode or test mode.

page
integer

The page of items you want returned.

status[]
string[]

Only return objects with the given status.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.